<template lang="pug">
  .chat-tab.h-100
    chat-room(:channelId="item.booking.channelId" :channelType="item.booking.channelType")
      .chat-tab__state.pr3(slot="left-tooltip" @click="changeState")
        state-tag.pointer.dim(:value="item.state")
    //.chat-tab__threads.bb.b--moon-gray.pa3(ref="threads")
    //  div(v-for="thread in threads" :key="thread.id")
    //    .tc.moon-gray.f6 {{timeStr(thread.startTime)}}
    //    chat-log(
    //      v-for="(log, index) in thread.logs"
    //      :key="index"
    //      :log="log"
    //    )
    //.chat-tab__toolbox.toolbox.pa3.flex.flex-wrap
    //  .toolbox__typing.w-100.w-auto.flex-auto-l.ph3-l.mb2.mb0-l
    //    textarea.h-100.w-100.bn.pa2.bg-near-white.br2(
    //      placeholder="輸入訊息..."
    //      v-model="message"
    //    )
    //    // @keyup.enter="sendAndClearMsg"
    //    // @keyup.shift="tempDisableSend"
    //  .toolbox__state.w-50.w3-l(@click="changeState")
    //    state-tag.pointer.dim(:value="item.進度")
    //  .w-50.w4-l.flex.flex-column.justify-center.items-center.pa3.pa0-l
    //    b-button.w-100(outlined @click="sendAndClearMsg") 送出訊息
    //    .mv1.pv1.flex.items-center
    //      b-checkbox(v-model="toPublic" type="is-success") 貼到公開查詢
    state-switcher(
      :active.sync="switcherOpened"
      :itemId="item.id"
      :stateName="item.state"
      @changed="handleStateChanged"
    )
</template>
<script>
// import moment from 'moment'
// import api from '~/utils/api'
import ChatRoom from '~/components/ChatRoom'

import { issueMixin } from '~/utils/mixins'
import StateTag from '~/components/StateTag'
import StateSwitcher from '~/components/StateSwitcher'

export default {
  components: {
    ChatRoom,
    StateTag,
    StateSwitcher
  },
  mixins: [issueMixin],
  props: {
    item: {
      type: Object,
      required: true
    }
  },
  data () {
    return {
      switcherOpened: false,
      toPublic: false
    }
  },
  methods: {
    changeState () {
      this.switcherOpened = true
    },
    handleStateChanged (payload) {
      this.$emit('state-changed', payload)
    }
  }
}
</script>
<style lang="scss" scoped>
$typingHeight: 5rem;

.chat-tab {
  &__state {
    .state-tag.tag {
      height: 100%;
      font-size: 0.8rem;
      width: 4rem;
    }
  }

  &__toolbox {

    > div {
      order: 1;
    }

    .toolbox {
      &__typing {
        height: $typingHeight;
        textarea {
          resize: none;
        }
      }

      @media screen and (min-width: 60em) {
        &__state {
          order: 0;
        }
      }
    }
  }
}
</style>
